OpenCV: cv::FastFeatureDetector Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Types | Public Member Functions | Static Public Member Functions | List of all members
cv::FastFeatureDetector Class Referenceabstract
2D Features Framework » Feature Detection and Description

Wrapping class for feature detection using the FAST method. : More...

`#include "features2d.hpp"`

Inheritance diagram for cv::FastFeatureDetector:

## Public Types
enum | { TYPE_5_8 = 0, TYPE_7_12 = 1, TYPE_9_16 = 2, THRESHOLD = 10000, NONMAX_SUPPRESSION =10001, FAST_N =10002 }

## Public Member Functions
virtual String | getDefaultName () const CV_OVERRIDE
virtual bool | getNonmaxSuppression () const =0
virtual int | getThreshold () const =0
virtual int | getType () const =0
virtual void | setNonmaxSuppression (bool f)=0
virtual void | setThreshold (int threshold)=0
virtual void | setType (int type)=0
Public Member Functions inherited from cv::Feature2D
virtual | ~Feature2D ()
virtual void | compute (InputArray image, std::vector< KeyPoint > &keypoints, OutputArray descriptors)
| Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). More...
virtual void | compute (InputArrayOfArrays images, std::vector< std::vector< KeyPoint > > &keypoints, OutputArrayOfArrays descriptors)
virtual int | defaultNorm () const
virtual int | descriptorSize () const
virtual int | descriptorType () const
virtual void | detect (InputArray image, std::vector< KeyPoint > &keypoints, InputArray mask=noArray())
| Detects keypoints in an image (first variant) or image set (second variant). More...
virtual void | detect (InputArrayOfArrays images, std::vector< std::vector< KeyPoint > > &keypoints, InputArrayOfArrays masks=noArray())
virtual void | detectAndCompute (InputArray image, InputArray mask, std::vector< KeyPoint > &keypoints, OutputArray descriptors, bool useProvidedKeypoints=false)
virtual bool | empty () const CV_OVERRIDE
| Return true if detector object is empty. More...
void | read (const String &fileName)
virtual void | read (const FileNode &) CV_OVERRIDE
| Reads algorithm parameters from a file storage. More...
void | write (const String &fileName) const
virtual void | write (FileStorage &) const CV_OVERRIDE
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual void | save (const String &filename) const
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Static Public Member Functions
static Ptr< FastFeatureDetector > | create (int threshold=10, bool nonmaxSuppression=true, int type=FastFeatureDetector::TYPE_9_16)
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...

## Additional Inherited Members
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Wrapping class for feature detection using the FAST method. :

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
TYPE_5_8 |
TYPE_7_12 |
TYPE_9_16 |
THRESHOLD |
NONMAX_SUPPRESSION |
FAST_N |

## Member Function Documentation

## ◆ create()

static Ptr<FastFeatureDetector> cv::FastFeatureDetector::create | ( | int | threshold = `10`,
|  | bool | nonmaxSuppression = `true`,
|  | int | type = `FastFeatureDetector::TYPE_9_16`
| ) |  |
| static

## ◆ getDefaultName()

virtual String cv::FastFeatureDetector::getDefaultName | ( |  | ) | const
| virtual

Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string.

Reimplemented from cv::Feature2D.

## ◆ getNonmaxSuppression()

virtual bool cv::FastFeatureDetector::getNonmaxSuppression | ( |  | ) | const
| pure virtual

## ◆ getThreshold()

virtual int cv::FastFeatureDetector::getThreshold | ( |  | ) | const
| pure virtual

## ◆ getType()

virtual int cv::FastFeatureDetector::getType | ( |  | ) | const
| pure virtual

## ◆ setNonmaxSuppression()

virtual void cv::FastFeatureDetector::setNonmaxSuppression | ( | bool | f | ) |
| pure virtual

## ◆ setThreshold()

virtual void cv::FastFeatureDetector::setThreshold | ( | int | threshold | ) |
| pure virtual

## ◆ setType()

virtual void cv::FastFeatureDetector::setType | ( | int | type | ) |
| pure virtual

The documentation for this class was generated from the following file:

- features2d/include/opencv2/features2d.hpp